Package org.drinkless.tdlib

# Class TdApi.InputPaidMediaTypeVideo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputPaidMediaType
org.drinkless.tdlib.TdApi.InputPaidMediaTypeVideo

Enclosing class:
  `TdApi`

public static class TdApi.InputPaidMediaTypeVideo extends TdApi.InputPaidMediaType
The media is a video.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputPaidMediaType

  `TdApi.InputPaidMediaType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputFile`
  `cover`
  Cover of the video; pass null to skip cover uploading.
  `int`
  `duration`
  Duration of the video, in seconds.
  `int`
  `startTimestamp`
  Timestamp from which the video playing must start, in seconds.
  `boolean`
  `supportsStreaming`
  True, if the video is expected to be streamed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputPaidMediaTypeVideo()`
  The media is a video.
  `InputPaidMediaTypeVideo(TdApi.InputFile cover, int startTimestamp, int duration, boolean supportsStreaming)`
  The media is a video.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### cover

    public TdApi.InputFile cover
    Cover of the video; pass null to skip cover uploading.

  - ### startTimestamp

    public int startTimestamp
    Timestamp from which the video playing must start, in seconds.

  - ### duration

    public int duration
    Duration of the video, in seconds.

  - ### supportsStreaming

    public boolean supportsStreaming
    True, if the video is expected to be streamed.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputPaidMediaTypeVideo

    public InputPaidMediaTypeVideo()
    The media is a video.

  - ### InputPaidMediaTypeVideo

    public InputPaidMediaTypeVideo(TdApi.InputFile cover, int startTimestamp, int duration, boolean supportsStreaming)
    The media is a video.
    Parameters:
      `cover` - Cover of the video; pass null to skip cover uploading.
      `startTimestamp` - Timestamp from which the video playing must start, in seconds.
      `duration` - Duration of the video, in seconds.
      `supportsStreaming` - True, if the video is expected to be streamed.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputPaidMediaType`
    Returns:
      this.CONSTRUCTOR